> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of streaming providers for a movie



## OpenAPI

````yaml /api-reference/openapi.json get /movies/{movie_id}/providers
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /movies/{movie_id}/providers:
    get:
      tags:
        - Movies
      summary: Get list of streaming providers for a movie
      operationId: get_movie_providers
      parameters:
        - name: movie_id
          in: path
          required: true
          schema:
            type: integer
            description: Unique Identifier of a movie.
            title: Movie Id
          description: Unique Identifier of a movie.
        - name: country
          in: query
          required: true
          schema:
            type: string
            description: Country Code
            title: Country
          description: Country Code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/Providers'
                  - type: 'null'
                title: Response Get Movie Providers
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Providers:
      properties:
        country:
          $ref: '#/components/schemas/Country'
        buy:
          items:
            $ref: '#/components/schemas/Provider'
          type: array
          title: Buy
          description: List of providers that offer to buy the movie.
          default: []
        rent:
          items:
            $ref: '#/components/schemas/Provider'
          type: array
          title: Rent
          description: List of providers that offer to rent the movie.
          default: []
        flatrate:
          items:
            $ref: '#/components/schemas/Provider'
          type: array
          title: Flatrate
          description: List of providers that offer to stream the movie.
          default: []
      type: object
      required:
        - country
      title: Providers
      description: >-
        Providers that offer the movie. Either for streaming, for rent or to
        buy.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Country:
      properties:
        code:
          type: string
          maxLength: 2
          minLength: 2
          title: Code
          description: ISO 3166 country code
        name:
          type: string
          title: Name
      type: object
      required:
        - code
        - name
      title: Country
    Provider:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        logo:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo
      type: object
      required:
        - id
        - name
        - logo
      title: Provider
      description: Information about a watch provider.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````